<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__wcm__typedefs" kind="group">
    <compoundname>group_wcm_typedefs</compoundname>
    <title>Typedefs</title>
      <sectiondef kind="typedef">
      <memberdef id="group__group__wcm__typedefs_1ga1ebac1800928741a07555a14539f3748" kind="typedef" prot="public" static="no">
        <type>uint8_t</type>
        <definition>typedef uint8_t cy_wcm_ssid_t[CY_WCM_MAX_SSID_LEN+1]</definition>
        <argsstring>[CY_WCM_MAX_SSID_LEN+1]</argsstring>
        <name>cy_wcm_ssid_t</name>
        <briefdescription>
<para>SSID name (AP name in null-terminated string format). </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" bodystart="375" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" line="375" />
      </memberdef>
      <memberdef id="group__group__wcm__typedefs_1ga510db2323122294f3956024396ba2ff5" kind="typedef" prot="public" static="no">
        <type>uint8_t</type>
        <definition>typedef uint8_t cy_wcm_mac_t[CY_WCM_MAC_ADDR_LEN]</definition>
        <argsstring>[CY_WCM_MAC_ADDR_LEN]</argsstring>
        <name>cy_wcm_mac_t</name>
        <briefdescription>
<para>Unique 6-byte MAC address represented in network byte order. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" bodystart="377" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" line="377" />
      </memberdef>
      <memberdef id="group__group__wcm__typedefs_1ga0c9f42f203c1dee3e3344163d1fdeba8" kind="typedef" prot="public" static="no">
        <type>uint8_t</type>
        <definition>typedef uint8_t cy_wcm_passphrase_t[CY_WCM_MAX_PASSPHRASE_LEN+1]</definition>
        <argsstring>[CY_WCM_MAX_PASSPHRASE_LEN+1]</argsstring>
        <name>cy_wcm_passphrase_t</name>
        <briefdescription>
<para>Passphrase in null-terminated string format. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" bodystart="379" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" line="379" />
      </memberdef>
      <memberdef id="group__group__wcm__typedefs_1ga58bd6c567dc6b0b111fb5852227c0c88" kind="typedef" prot="public" static="no">
        <type>void(*</type>
        <definition>typedef void(* cy_wcm_scan_result_callback_t) (cy_wcm_scan_result_t *result_ptr, void *user_data, cy_wcm_scan_status_t status)</definition>
        <argsstring>)(cy_wcm_scan_result_t *result_ptr, void *user_data, cy_wcm_scan_status_t status)</argsstring>
        <name>cy_wcm_scan_result_callback_t</name>
        <briefdescription>
<para>Wi-Fi Scan result callback function pointer type. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">result_ptr</parametername>
</parameternamelist>
<parameterdescription>
<para>: A pointer to the scan result; the scan result will be freed once the callback function returns from the application. There will not be any scan result when the scan status is CY_WCM_SCAN_COMPLETE. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">user_data</parametername>
</parameternamelist>
<parameterdescription>
<para>: User-provided data </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">status</parametername>
</parameternamelist>
<parameterdescription>
<para>: Status of the scan process.</para></parameterdescription>
</parameteritem>
</parameterlist>
Note: The callback function will be executed in the context of WCM. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" bodystart="573" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" line="573" />
      </memberdef>
      <memberdef id="group__group__wcm__typedefs_1ga5f028848682f04705e669b6823d290fb" kind="typedef" prot="public" static="no">
        <type>void(*</type>
        <definition>typedef void(* cy_wcm_event_callback_t) (cy_wcm_event_t event, cy_wcm_event_data_t *event_data)</definition>
        <argsstring>)(cy_wcm_event_t event, cy_wcm_event_data_t *event_data)</argsstring>
        <name>cy_wcm_event_callback_t</name>
        <briefdescription>
<para>WCM event callback function pointer type; events are invoked when WHD posts events to the application. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">event</parametername>
</parameternamelist>
<parameterdescription>
<para>: WCM events. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">event_data</parametername>
</parameternamelist>
<parameterdescription>
<para>: A pointer to the event data. The event data will be freed once the callback returns from the application.</para></parameterdescription>
</parameteritem>
</parameterlist>
Note: The callback function will be executed in the context of WCM. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" bodystart="583" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" line="583" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>